### Method

# Gtk IconThemehas_gicon

since: 4.2

#### Declaration [src]

    gboolean
    gtk_icon_theme_has_gicon (
      GtkIconTheme* self,
      GIcon* gicon
    )

#### Description [src]

Checks whether an icon theme includes an icon for a particular `GIcon`.

Available since: 4.2

#### Parameters

`gicon`

  Type: `GIcon`

  A `GIcon`

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if `self` includes an icon for `gicon`.